import {
  j as t,
  aC as e,
  m as a,
  p as s,
  o as l,
  f as n,
  t as o,
  h as c,
  e as f,
  F as r,
  r as i,
} from "./index-476be0bb.js";
import { s as d } from "./api.mine-40f950d7.js";
const x = { class: "p-10 bg-#f6f6f6" },
  h = { class: "flex h-40 rounded-10 bg-#fff" },
  v = { class: "w-50% text-center lh-40" },
  p = { class: "w-50% text-center lh-40" },
  m = { key: 0 },
  u = { class: "flex h-40" },
  g = { class: "w-50% text-center lh-40" },
  b = { class: "w-50% text-center lh-40" },
  w = { key: 1, class: "text-center pt-50 text-#666" },
  y = {
    __name: "index",
    setup(y) {
      const $ = t([]);
      return (
        d({}).then((t) => {
          t.data.length > 0 && ($.value = t.data);
        }),
        (t, d) => {
          const y = e("normal-layout");
          return (
            l(),
            a(
              y,
              {
                flex: "",
                "bg-color": "#f6f6f6",
                "nav-bg-color": "#fff",
                "text-color": "#000",
                title: t.$t("活跃人数"),
                backType: 0,
              },
              {
                default: s(() => [
                  n("div", x, [
                    n("div", h, [
                      n("div", v, o(t.$t("手机号")), 1),
                      n("div", p, o(t.$t("积分")), 1),
                    ]),
                    c($).length > 0
                      ? (l(),
                        f("div", m, [
                          (l(!0),
                          f(
                            r,
                            null,
                            i(
                              c($),
                              (t) => (
                                l(),
                                f("div", u, [
                                  n("div", g, o(t.phone), 1),
                                  n("div", b, o(Math.floor(t.income)), 1),
                                ])
                              )
                            ),
                            256
                          )),
                        ]))
                      : (l(), f("div", w, o(t.$t("没有更多了")), 1)),
                  ]),
                ]),
                _: 1,
              },
              8,
              ["title"]
            )
          );
        }
      );
    },
  };
export { y as default };
